cgGetParameterIndex(3)

NAME
cgGetParameterIndex - get an array member parameter's index

SYNOPSIS
  #include <Cg/cg.h>
  int cgGetParameterIndex( CGparameter param );

PARAMETERS

param
    The parameter.

RETURN VALUES
Returns the index associated with an array member parameter.

Returns -1 if the parameter is not in an array.

DESCRIPTION
cgGetParameterIndex returns the integer index of an array parameter.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

CG_ARRAY_PARAM_ERROR is generated if param is not an array parameter.

HISTORY
cgGetParameterIndex was introduced in Cg 1.2.

SEE ALSO
the cgGetArrayParameter manpage